<!--
$Header: /cvsroot/pgsql/doc/src/sgml/ref/truncate.sgml,v 1.2 1999/10/01 15:24:09 thomas Exp $
Postgres documentation
-->

<refentry id="SQL-TRUNCATE">
 <refmeta>
  <refentrytitle id="SQL-TRUNCATE-TITLE">
   TRUNCATE
  </refentrytitle>
  <refmiscinfo>SQL - Language Statements</refmiscinfo>
 </refmeta>
 <refnamediv>
  <refname>
   TRUNCATE
  </refname>
  <refpurpose>
   Empty a table
  </refpurpose>
 </refnamediv>
 <refsynopsisdiv>
  <refsynopsisdivinfo>
   <date>1999-07-20</date>
  </refsynopsisdivinfo>
  <synopsis>
TRUNCATE [ TABLE ] <replaceable class="PARAMETER">name</replaceable>
  </synopsis>
  
  <refsect2 id="R2-SQL-TRUNCATE-1">
   <refsect2info>
    <date>1998-09-08</date>
   </refsect2info>
   <title>
    Inputs
   </title>
   <para>

    <variablelist>
     <varlistentry>
      <term><replaceable class="PARAMETER">name</replaceable></term>
      <listitem>
       <para>
	The name of the table to be truncated.
       </para>
      </listitem>
     </varlistentry>
    </variablelist>
   </para>
  </refsect2>
  
  <refsect2 id="R2-SQL-TRUNCATE-2">
   <refsect2info>
    <date>1998-09-08</date>
   </refsect2info>
   <title>
    Outputs
   </title>
   <para>

    <variablelist>
     <varlistentry>
      <term><computeroutput>
TRUNCATE
       </computeroutput></term>
      <listitem>
       <para>
	Message returned if the table is successfully truncated.
       </para>
      </listitem>
     </varlistentry>
    </variablelist>
   </para>
  </refsect2>
 </refsynopsisdiv>

 <refsect1 id="R1-SQL-TRUNCATE-1">
  <refsect1info>
   <date>1998-09-08</date>
  </refsect1info>
  <title>
   Description
  </title>
  <para>
   <command>TRUNCATE</command> quickly removes all rows from a
   table. It has the same effect as an unqualified
   <command>DELETE</command> but since it does not actually scan the
   table it is faster. This is most effective on large tables.
  </para>
 </refsect1>

 <refsect1 id="R1-SQL-TRUNCATE-2">
  <title>
   Usage
  </title>
  <para>
   Truncate the table <literal>bigtable</literal>:

   <programlisting>
TRUNCATE TABLE bigtable;
   </programlisting>
  </para>
 </refsect1>
 
 <refsect1 id="R1-SQL-TRUNCATE-3">
  <title>
   Compatibility
  </title>
  
  <refsect2 id="R2-SQL-TRUNCATE-4">
   <refsect2info>
    <date>1998-09-08</date>
   </refsect2info>
   <title>
    SQL92
   </title>
   <para>
    There is no <command>TRUNCATE</command> in <acronym>SQL92</acronym>.
   </para>
  </refsect2>
 </refsect1>
</refentry>

<!-- Keep this comment at the end of the file
Local variables:
mode: sgml
sgml-omittag:t
sgml-shorttag:t
sgml-minimize-attributes:nil
sgml-always-quote-attributes:t
sgml-indent-step:1
sgml-indent-data:t
sgml-parent-document:nil
sgml-default-dtd-file:"../reference.ced"
sgml-exposed-tags:nil
sgml-local-catalogs:"/usr/lib/sgml/catalog"
sgml-local-ecat-files:nil
End:
-->
